# SetChatDescription - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.requests.chat.modify / SetChatDescription

# SetChatDescription

(common) `data class SetChatDescription : ChatRequest, SimpleRequest<Boolean>` (source)

### Constructors

(common)

#### <init>

`SetChatDescription(chatId: ChatIdentifier, description: String)`

### Properties

(common)

#### chatId

`val chatId: ChatIdentifier`

(common)

#### description

`val description: String`

(common)

#### requestSerializer

`val requestSerializer: SerializationStrategy<*>`

(common)

#### resultDeserializer

`val resultDeserializer: DeserializationStrategy<Boolean>`

### Functions

(common)

#### method

`fun method(): String`